Thread overview
Possible dmd 2.078 regression ?
Jan 12
Basile B.
Jan 12
Basile B.
Jan 12
Basile B.
January 12
I have a simple program that only compiles if the dependency is not pre-compiled as a static library. It worked fine before. Please test this

---
if [ ! -d "iz" ]; then
    git clone https://www.github.com/BBasile/iz.git
fi

cd iz/scripts
sh compile.sh
cd ../

#fails to link
dmd samples/dictionnary_suffixarray.d lib/iz.a -Iimport > ddemangle


#on the other hand, this works...
dub samples/dictionnary_suffixarray.d <<< "q"

#or even this...
dmd samples/dictionnary_suffixarray.d import/iz/strings.d import/iz/memory.d -Iimport
---

and tell me what do you think: regression or not ?
January 12
On Friday, 12 January 2018 at 14:13:22 UTC, Basile B. wrote:
> I have a simple program that only compiles if the dependency is not pre-compiled as a static library. It worked fine before. Please test this
>
> ---
> if [ ! -d "iz" ]; then
>     git clone https://www.github.com/BBasile/iz.git
> fi
>
> cd iz/scripts
> sh compile.sh
> cd ../
>
> #fails to link
> dmd samples/dictionnary_suffixarray.d lib/iz.a -Iimport > ddemangle
>
>
> #on the other hand, this works...
> dub samples/dictionnary_suffixarray.d <<< "q"
>
> #or even this...
> dmd samples/dictionnary_suffixarray.d import/iz/strings.d import/iz/memory.d -Iimport
> ---
>
> and tell me what do you think: regression or not ?

I guess a mangle problem ?
January 12
On Friday, 12 January 2018 at 17:58:30 UTC, Stefan Koch wrote:
> On Friday, 12 January 2018 at 14:13:22 UTC, Basile B. wrote:
>> I have a simple program that only compiles if the dependency is not pre-compiled as a static library. It worked fine before.
> I guess a mangle problem ?

Yes and quite old...apparently it's more a 2.074.x regression.
i'm digging right now.
January 12
On Friday, 12 January 2018 at 18:50:10 UTC, Basile B. wrote:
> On Friday, 12 January 2018 at 17:58:30 UTC, Stefan Koch wrote:
>> On Friday, 12 January 2018 at 14:13:22 UTC, Basile B. wrote:
>>> I have a simple program that only compiles if the dependency is not pre-compiled as a static library. It worked fine before.
>> I guess a mangle problem ?
>
> Yes and quite old...apparently it's more a 2.074.x regression.
> i'm digging right now.

digger: Commit 1e7b526b40852e9b85df3684430e371034cdf7ec (1/1) is untestable.
digger: There are only untestable commits left to bisect.
digger: The first bad commit could be any of:
digger: 1e7b526b40852e9b85df3684430e371034cdf7ec
digger: 6fecaa8232a427fb3ca29c5a5245e08fc43b71b1
digger: f0410bea1ad2b130884964d603b34e729b3e4f69
object.Exception@bisect.d(186): We cannot bisect more!